[SCM] WebKit Debian packaging branch, webkit-1.2, updated. upstream/1.1.90-6072-g9a69373

aroben at apple.com aroben at apple.com
Thu Apr 8 00:33:05 UTC 2010


The following commit has been merged in the webkit-1.2 branch:
commit 6f18c384f9e67573d78cecc3f1c284291fac07d1
Author: aroben at apple.com <aroben at apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Date:   Fri Dec 11 20:30:18 2009 +0000

    Fix clean builds and everything rebuilding on every build
    
    Reviewed by Sam Weinig.
    
    * JavaScriptCore.vcproj/JavaScriptCore/build-generated-files.sh: Don't
    write out QuartzCorePresent.h if it exists but is older than
    QuartzCore.h. Also, create the directory we write QuartzCorePresent.h
    into first.
    
    git-svn-id: http://svn.webkit.org/repository/webkit/trunk@52013 268f45cc-cd09-0410-ab3c-d52691b4dbfc

diff --git a/JavaScriptCore/ChangeLog b/JavaScriptCore/ChangeLog
index cb7162a..a0bdf14 100644
--- a/JavaScriptCore/ChangeLog
+++ b/JavaScriptCore/ChangeLog
@@ -1,5 +1,16 @@
 2009-12-11  Adam Roben  <aroben at apple.com>
 
+        Fix clean builds and everything rebuilding on every build
+
+        Reviewed by Sam Weinig.
+
+        * JavaScriptCore.vcproj/JavaScriptCore/build-generated-files.sh: Don't
+        write out QuartzCorePresent.h if it exists but is older than
+        QuartzCore.h. Also, create the directory we write QuartzCorePresent.h
+        into first.
+
+2009-12-11  Adam Roben  <aroben at apple.com>
+
         Windows build fix for systems with spaces in their paths
 
         * JavaScriptCore.vcproj/JavaScriptCore/build-generated-files.sh: Quote some paths.
diff --git a/JavaScriptCore/JavaScriptCore.vcproj/JavaScriptCore/build-generated-files.sh b/JavaScriptCore/JavaScriptCore.vcproj/JavaScriptCore/build-generated-files.sh
index a37a18b..7f5a0f3 100755
--- a/JavaScriptCore/JavaScriptCore.vcproj/JavaScriptCore/build-generated-files.sh
+++ b/JavaScriptCore/JavaScriptCore.vcproj/JavaScriptCore/build-generated-files.sh
@@ -1,11 +1,13 @@
 #!/usr/bin/bash
 
 # Determine if we have QuartzCore so we can turn on
-if [ -f "${WEBKITLIBRARIESDIR}/include/QuartzCore/QuartzCore.h" ]
+QUARTZCORE_H_PATH=$(cygpath -u "${WEBKITLIBRARIESDIR}/include/QuartzCore/QuartzCore.h")
+QUARTZCOREPRESENT_H_PATH=$(cygpath -u "${WEBKITOUTPUTDIR}/include/JavaScriptCore/QuartzCorePresent.h")
+if test \( ! -f "${QUARTZCOREPRESENT_H_PATH}" \) -o \( -f "${QUARTZCORE_H_PATH}" -a \( "${QUARTZCORE_H_PATH}" -nt "${QUARTZCOREPRESENT_H_PATH}" \) \)
 then
-	echo "#define QUARTZCORE_PRESENT 1" > "${WEBKITOUTPUTDIR}/Include/JavaScriptCore/QuartzCorePresent.h"
-else
-	echo "#define QUARTZCORE_PRESENT 0" > "${WEBKITOUTPUTDIR}/Include/JavaScriptCore/QuartzCorePresent.h"
+    mkdir -p "$(dirname "${QUARTZCOREPRESENT_H_PATH}")"
+    test ! -f "${QUARTZCORE_H_PATH}"
+    echo "#define QUARTZCORE_PRESENT $?" > "${QUARTZCOREPRESENT_H_PATH}"
 fi
 
 NUMCPUS=`../../../WebKitTools/Scripts/num-cpus`

-- 
WebKit Debian packaging



More information about the Pkg-webkit-commits mailing list